﻿; 用于测试环境自动化GUI
#include  .\CustomFunctions.ahk

SHABPPZDir=D:\常用脚本\NGTS配置生成脚本\A股配置-New.bat
SHBBPPZDir=D:\常用脚本\NGTS配置生成脚本\B股配置-New.bat

; 读取配置文件
i = 0
Loop, read, Configure.ini
{
	;第一行不需要读入
	if A_Index = 1
		continue
	;空行也不要记录
	LoopLine = %A_LoopReadLine%
	StringReplace, LoopLine, LoopLine, %A_Space%  
	StringReplace, LoopLine, LoopLine, %A_Tab%  
	if LoopLine=
		continue
	i += 1
    Loop, parse, A_LoopReadLine, |
    {
    	LoopField = %A_LoopField%
    	;如果打头是;的话，则过滤这一行，是注释的意思
    	firstLetter := SubStr(LoopField,1,1)
    	if firstLetter = `;
    	{	
    		i -= 1
    		break
		}
    	j := A_Index
    	Array%i%_%j% := LoopField
        ;MsgBox  第 Array%i%_%j% 个片段是 
        ;MsgBox %  Array%i%_%j% 。
    }
}
;数组一共有多少
ArrayCount_i := i
ArrayCount_j := j

;获取TabNames
k = 0
TabNames = 
Loop %i%
{
	k +=1
	l := k -1
	if(k=1 or Array%l% <> Array%A_Index%_1) {
		Array%k%:=Array%A_Index%_1
	}else{
		k -= 1
		continue
	}
	TabNames:=TabNames . Array%k%
	IfInString, A_ScriptName, % Array%k%
	{	
		TabNames:=TabNames . "||"
	}else{
		TabNames:=TabNames . "|"
	}
}

TabNames:=TabNames . "关于"

;窗口界面
Gui, Font, s10, Verdana ; 设置为 Verdana 字体，大小10号
Gui, Add, Tab2, w365 h200 vTabName, %TabNames%
;从数组读取:
Loop %ArrayCount_i%
{
    ;下面这行使用了 := 运算符来获取一个数组元素:
    element1 := Array%A_Index%_1  
    element2 := Array%A_Index%_2  
    Gui, Tab, %element1%
   	Gui, Add, Checkbox, vCheckBox%element1%_%A_Index%,%element2%  
    ;或者，你可以使用 "% " 前缀，从而让 MsgBox 或其他一些命令支持表达式:
    ;MsgBox % "元素编号 " . A_Index . " 是 " . Array%A_Index%_%A_Index%
}

;关于
Gui, Tab, 关于
Gui, Add, Text, ,作者：Laycher
Gui, Add, Text, ,版本：V0.2
Gui, Add, Text, ,创建日期：2015-12-30
Gui, Add, Text, ,更新日期：2016-02-20
Gui, Add, Text, cBlue gLaunchLaycher ,网站：laycher.com
Gui, Add, Text, ,说明：用于测试环境自动化启动程序。

; 以下不属于任何Tab
Gui, Tab
;Gui, Add, CheckBox, xm g全选 v全选变量, 全选
Gui, Add, Button, xm g全选, 全选(&A) ; xm 表示把该控件显示在窗体的左下角
Gui, Add, Button, xp+70 g全不选, 全不选(&Z) ; xm 表示把该控件显示在窗体的左下角
Gui, Add, Button, default xp+85, 启动(&R) ; xm 表示把该控件显示在窗体的左下角
Gui, Add, Button, xp+70, 停止(&S) ; xm 表示把该控件显示在窗体的左下角
Gui, Add, Button, xp+70 , 关闭(&C) ; xm 表示把该控件显示在窗体的左下角
Gui, Show,w390 h250,, 自动化启动

return

全选:
;Gui, Submit,nohide; 保存每个与控件相关联的变量
GuiControlGet, TabName
Loop %ArrayCount_i%
{
    element1 := Array%A_Index%_1  
    if element1 = %TabName%
   		GuiControl, , CheckBox%element1%_%A_Index%, 1  ;选择
}
return

全不选:
GuiControlGet, TabName
;Gui, Submit,nohide; 保存每个与控件相关联的变量
GuiControlGet, TabName
Loop %ArrayCount_i%
{
    element1 := Array%A_Index%_1  
    if element1 = %TabName%
   		GuiControl, , CheckBox%element1%_%A_Index%, 0  ;不选择
}
return

LaunchLaycher:
Run http://laycher.com
return

Button启动(R):
GuiClose:
GuiEscape:
Gui, Submit ; 保存每个与控件相关联的变量
;MsgBox 你选择了:`n%CheckBoxSHHQ%`n%CheckBoxSHABP%`n%CheckBoxSHBBP%


;初始化结果子集
Result=

Loop %ArrayCount_i%
{
	;1、程序机器；2、程序名称；3、程序应用名；4、程序目录
    element1 := Array%A_Index%_1  
    element2 := Array%A_Index%_2 
    element3 := Array%A_Index%_3 
    element4 := Array%A_Index%_4
    if element1 = %TabName%
    {	
    	if ( CheckBox%element1%_%A_Index%=1 and element3="EzOES_ASHR.exe" )
    	{
    		RunSHBPPZ(197.97,element4,SHABPPZDir,"A")
    	}else if ( CheckBox%element1%_%A_Index%=1 and element3="EzOES_BSHR.exe" ){
    		RunSHBPPZ(197.97,element4,SHBBPPZDir,"B")
    	}
    	result_tmp:=RunProgram(CheckBox%element1%_%A_Index%,element3,element4)
		Result=%Result%%result_tmp%
    }
}

if Result<> 
{
	msgbox %Result%
}
ExitApp
return

Button停止(S):
Gui, Submit ; 保存每个与控件相关联的变量


;初始化结果子集
Result=

;关的话是倒着关
num = %ArrayCount_i%
Loop %ArrayCount_i%
{
	;1、程序机器；2、程序名称；3、程序应用名；4、程序目录

    element1 := Array%num%_1  
    element2 := Array%num%_2 
    element3 := Array%num%_3 
    element4 := Array%num%_4
    if element1 = %TabName%
    {	
    	result_tmp:=StopProgram(CheckBox%element1%_%num%,element3,element4)
		Result=%Result%%result_tmp%
    }
    num -= 1
}

if Result<> 
{
	msgbox %Result%
}
Reload
return

Button关闭(C):
ExitApp

return

